[B064-2]Edit drug monitoring
Edit drug monitoring
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | 7b594e7d-34e1-43e6-9674-6ef8c242b721 | Alert ID |
Required | array | [
{
"name": "query_result",
"subEvent": [
"QUERY_RESULT"
]
},
{
"name": "drug_dev_status",
"subEvent": [
"DISCOVERY",
"PRECLINICAL",
"PHASE_1",
"APPROVED"
]
},
{
"name": "clinical_trial",
"subEvent": [
"CLINICAL_TRIAL_FIRST_POSTED",
"CLINICAL_TRIAL_RESULT_PUBLISHED"
]
},
{
"name": "patent",
"subEvent": [
"PATENT_PUBLISHED",
"PATENT_GRANTED"
]
}
] | Event subscription list |
Required | string | drug_dev_status | Event name, supports: query_result (Query Result) - Monitor changes in search results drug_dev_status (Drug Development Status) - Monitor changes in drug development phases special_approval (Special Approval) - Monitor special approval events clinical_trial (Clinical Trial) - Monitor clinical trial related events drug_deal (Drug Deal) - Monitor drug deal events patent (Patent) - Monitor patent related events paper (Paper) - Monitor paper publication events translational_medicine (Translational Medicine) - Monitor translational medicine events news (News) - Monitor news events |
Required | array | [
"DISCOVERY",
"PRECLINICAL",
"PHASE_1"
] | Sub-event list, different options for different event types: query_result (Query Result): [QUERY_RESULT (Query Result Change)] drug_dev_status (Drug Development Status): [DISCOVERY (Drug Discovery), PRECLINICAL (Preclinical), IND (Investigational New Drug), IND_APPROVAL (IND Approval), EARLY_PHASE_1 (Early Phase 1), PHASE_1 (Phase 1), PHASE_1_2 (Phase 1/2), PHASE_2 (Phase 2), PHASE_2_3 (Phase 2/3), PHASE_3 (Phase 3), NDA_BLA (New Drug Application/Biologics License Application), APPROVED (Approved), DISCONTINUED (Discontinued), WITHDRAWN (Withdrawn), SUSPENDED (Suspended)] special_approval (Special Approval): [SPECIAL_APPROVAL (Special Approval Event)] clinical_trial (Clinical Trial): [CLINICAL_TRIAL_FIRST_POSTED (Clinical Trial First Posted), CLINICAL_TRIAL_CLINICAL_PROGRESS (Clinical Trial Progress), CLINICAL_TRIAL_RESULT_PUBLISHED (Clinical Trial Result Published)] drug_deal (Drug Deal): [ACTIVE (Active), TERMINATED (Terminated), COMPLETED (Completed)] patent (Patent): [PATENT_PUBLISHED (Patent Published), PATENT_GRANTED (Patent Granted), PATENT_EXPIRE_WITHIN_FIVE_YEARS (Patent Expire Within 5 Years), PATENT_EXPIRE_WITHIN_THREE_YEARS (Patent Expire Within 3 Years), PATENT_EXTENSION (Patent Extension)] paper (Paper): [PAPER (Paper Published)] translational_medicine (Translational Medicine): [TRANSLATIONAL_MEDICINE (Translational Medicine Event)] news (News): [NEWS (News Event)] |
Required | object | {
"date": 1,
"type": "WEEKLY"
} | Alert frequency settings |
| integer<int32> | 1 | Date setting, when type is WEEKLY: 1-7 (Monday to Sunday); when type is MONTHLY: 1-29 (day of the month); when type is DAILY: this field is invalid |
Required | string | WEEKLY | Frequency type, supports: DAILY (Daily), WEEKLY (Weekly), MONTHLY (Monthly) |
Required | string | CN | Language setting, supports: CN (Chinese), EN (English) |
Required | object | {
"drug": {
"value": [
"81364d1ace044fdc8af8f60026eb2c7b"
],
"condition": "OR"
},
"limit": 10,
"offset": 0,
"target": {
"value": [
"928facc8122849baa0dc00759cff0380"
],
"condition": "OR"
},
"disease": {
"value": [
"3beea980d93a4cc0abc864e27514601c"
],
"condition": "OR"
},
"existDeal": false,
"globalHighestDevStatus": [
"Discovery",
"Preclinical"
]
} | Drug search query conditions |
| integer<int64> | - | Offset, default 0 |
| integer<int64> | 10 | Limit, default 10. offset + limit <= 10000, limit up to 1,000. |
| object | {
"value": [
"945fa31ebe9e41ae912e493aa3324576"
],
"condition": "OR"
} | Drug, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"945fa31ebe9e41ae912e493aa3324576"
] | Value List |
| object | {
"value": [
"9786d32e3d244a688ec6a60d2fe1b10b"
],
"condition": "OR"
} | Target, The "condition" field defaults to OR and support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"9786d32e3d244a688ec6a60d2fe1b10b"
] | Value List |
| object | {
"value": [
"3beea980d93a4cc0abc864e27514601c"
],
"condition": "OR"
} | Indication, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"3beea980d93a4cc0abc864e27514601c"
] | Value List |
| object | {
"value": [
"6a8c172f1efc649035845f94c31a9c1e"
],
"condition": "OR"
} | Organization, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"6a8c172f1efc649035845f94c31a9c1e"
] | Value List |
| object | {
"value": [
"4dd338b149b3ecd0ee860e1fb379b44f"
],
"condition": "OR"
} | Mechanism, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"4dd338b149b3ecd0ee860e1fb379b44f"
] | Value List |
| object | {
"value": [
"c38eb408d6b842f487d6a27484156633"
],
"condition": "OR"
} | Drug Type, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"c38eb408d6b842f487d6a27484156633"
] | Value List |
| array | [
"Approved"
] | Drug Highest Phase. The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown. |
| boolean | true | Whether Drug Deal Exist |
| array | [
"Approved"
] | Phase(By Indication). The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown. |
| array | [
"US",
"EU"
] | Phase(By Indication). The value is an enum with the following values: US, EU, JP, CN, Other |
| array | [
"Company"
] | Organization Type. The value is an enum with the following values: Company, University_Institution, Other |
| array | [
"GREATER_THAN_500"
] | Employee Number. The value is an enum with the following values: LESS_THAN_10, BETWEEN_10_AND_100, BETWEEN_100_AND_500, GREATER_THAN_500 |
| boolean | - | Whether Start-Up Organization |
| array | [
{
"sort_field": "DRUG_TYPE_SORT",
"sort_order": "desc"
},
{
"sort_field": "GLOBAL_HIGHEST_DEV_STATUS_RANK",
"sort_order": "desc"
},
{
"sort_field": "FIRST_APPROVED_DATE",
"sort_order": "desc"
}
] | Field order, field can support: DRUG_TYPE_SORT, GLOBAL_HIGHEST_DEV_STATUS_RANK, FIRST_APPROVED_DATE; order can support:desc, asc (default desc) |
| string | DRUG_TYPE_SORT | sort field, enum values: DRUG_TYPE_SORT, GLOBAL_HIGHEST_DEV_STATUS_RANK, FIRST_APPROVED_DATE |
| string | desc | sort order, support:desc,asc |
Required | string | 我的药物预警 | Alert title |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
alert_id | string | 561a206a-25c5-4883-be9a-b48eb55edba2 | Alert ID |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
{
"data": {
"alert_id": "561a206a-25c5-4883-be9a-b48eb55edba2"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms